Advanced configuration

While it is important to protect files, data, and settings that are on the hard disk, you may also need to install a new operating system, install new device drivers, update your system BIOS, or recover pre-installed software. This information will help you handle your computer with proper care and keep it in top working shape.

Installing a new operating system

Installing device drivers

Reinstalling applications

BIOS Setup Utility

ThinkPad Configuration Program

Recovering pre-installed software

Using system management


Installing a new operating system

If you want to install a new operating system on your computer, you need to install the Supplement files and the ThinkPad(R) device drivers for it at the same time. The Supplement files for the operating system supported are in the C:\IBMTOOLS\OSFIXES directory on your hard disk drive. The preloaded device drivers for the operating system supported are provided in the C:\IBMTOOLS\DRIVERS directory on your hard disk drive. The preloaded software applications are provided in the C:\IBMTOOLS\APPS directory on your hard disk drive.

Note: If your hard disk drive does not contain device drivers, refer to the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

Before you install the operating system:

  • Copy all the subdirectories and files in the C:\IBMTOOLS directory to a removable storage device, to avoid losing files during the installation.

  • Print the sections you will be using. Go to the section for the operating system you are using:

    Windows XP

    Windows 2000

    Windows 98

    Installing Windows 2000 on computers running Windows Me or Windows 98

    Windows Me

    Windows NT

For the country code required, use one of the following:

Country: Code:

Denmark: DK

Finland: FI

France: FR

Germany: GR

Italy: IT

Japan: JP

Netherlands: NL

Norway: NO

Spain: SP

Sweden: SW

United States: US


Installing Windows XP

To install Windows(R) XP and its software on your computer, do as follows:

Note: A computer with at least 128 MB of memory is required.

  1. Change the startup sequence of your computer. Following the instructions on the Startup menu in IBM BIOS Setup Utility, set the CD-ROM drive to start first.
  2. Insert the CD for Windows XP into the CD or DVD drive. Follow the instructions on the screen.
  3. After you install Windows XP, you will need to install device drivers; they are provided in the C:\IBMTOOLS\DRIVERS directory on your hard disk drive. To see how to install them, refer to Installing device drivers. You will also need to install application software which is provided in the C:\IBMTOOLS\APPS directory on your hard disk drive.
    4. Note: If you cannot find the device drivers and application software you need on your hard disk drive, or if you want to receive updates and the latest information about them, refer to the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.


Installing Windows 2000

To install Windows(R) 2000 and its software on your computer, do as follows:

  1. Insert the Windows 2000 Professional CD into the CD or DVD drive. Follow the instructions on the screen.
  2. Restore C:\IBMTOOLS\OSFIXES from the backup copy you made before starting the installation.
  3. Install Windows 2000 Service Pack 2. For more information, refer to the installation guide of Windows 2000 Service Pack 2.
    4. Note: If you install any anti-virus application before installing the service pack, uninstall the anti-virus application. After installing the service pack, re-install the anti-virus application.
  4. Install Windows 2000 Supplement Files by referring to its procedure.
    5. After you install Windows 2000 Service Pack 2, you will need to install the application software, which is provided in the C:\IBMTOOLS\APPS directory on your hard disk drive.
    Note: If you cannot find the device drivers you need on your hard disk drive, or if you want to receive updates and the latest information about them, refer to the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

Installing Windows 2000 Update Module Package

The Windows 2000 Update Modules are in the following directory:

C:\IBMTOOLS\OSFIXES\W2KUP

To install the fix modules, do as follows:

[Q261643]

This module is for use if the device manager does not recognize the USB device. Since the module is included in Service Pack 2, you do not need to apply the module.

  1. Click Start -> Run.
  2. Open Q261643_W2K_SP2_x86_en.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK.
  4. Restart the system.

[Q272655]

This module is for use if the PC Card does not work when the system resumes from suspend mode. Since the module is included in Service Pack 2, you do not need to apply the module.

  1. Click Start -> Run.
  2. Open Q272655_W2K_SP2_x86_en.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK .
  4. Restart the system.

[Q279491]

This module is for use if multiple CardBus devices do not share the IRQs.

  1. Click Start -> Run.
  2. Open Q279491_W2K_SP3_x86_en.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK.
  4. Restart the system.

[Q279757]

This module is for use if the system does not respond while booting with the ZIP250 drive with the ThinkPad Dock.

  1. Click Start -> Run.
  2. Open Q279757_W2K_SP3_x86_en.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK.
  4. Restart the system.

[Q280430]

This module is for use if the screen saver returns to the desktop in battery mode.

  1. Click Start -> Run.
  2. Open Q280430_W2K_SP3_x86_en.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK.
  4. Restart the system.


Installing Windows 98

To install Windows(R) 98 and its software on your computer, do as follows:

Notes:

  • Even you are installing Windows 98 on a drive other than the C drive, more than 25 MB is required on the C drive.

  • To use the CD-ROM drive to install Windows 98, create the Startup Disk for Windows 98 on the Windows 98 installed system, which enables you to use the CD-ROM drive. Then boot the system with the diskette.

To create the Startup Disk for Windows 98, do as follows:

  1. Insert a blank diskette into the diskette drive.
  2. Open the Control Panel. (Click Start-->Settings-->Control Panel.)
  3. Double-click Add/Remove Programs.
  4. Click the Startup Disk tab.
  5. Click Create Disk.
  6. Follow the instructions on the screen.

Notes:

Depending on the optional applications you install with Windows 98, your required disk space varies. The following information applies to installing Windows 98 in your computer:

  • To perform a full installation on a FAT 16 drive:

    About 225 MB disk space is required. Depending on your system configuration and the options you select, the required space ranges from 165 MB to 355 MB.

  • Full installation on a FAT 32 drive:

    About 175 MB disk space is required. Depending on your system configuration and the options you select, the required space ranges from 140 MB to 225 MB.

To install Windows 98 Second Edition (SE), do the following:

  1. Insert the Windows 98 CD into the CD or DVD drive of your computer.
  2. Make a temporary directory.
    3. For example, at the DOS prompt, type the following:
    MD c:\win98
  3. Copy all the cabinet (.CAB) files and installation programs from the Windows 98 CD-ROM to this directory.
    4. At the DOS prompt, type the following:
    COPY src_cd:\WIN98\*.* c:\win98
    where src_cd is the letter of the CD or DVD drive of your computer, and c:\win98 is the temporary directory that you made in step 2.
  4. Copy all the files in W98SE directory of the Windows 98 Supplement Files to the temporary directory of the hard disk on your computer .
  5. To install APM mode, run the SETUP.EXE with APMINST.INF that you have copied into the temporary directory (c:\win98), and follow the description on the screen. For example, type C:\WIN98\SETUP.EXE C:\WIN98\APMINST.INF
  6. Restart the computer.
  7. Restore C:\IBMTOOLS\OSFIXES from the backup copy you made before starting the installation.
    8. After installing Windows 98 SE, you will need to install the device drivers that are provided in the C:\IBMTOOLS\DRIVERS directory on your hard-disk drive. To see how to install them, refer to "Installing device drivers."
    Note: If you cannot find the device drivers you need on your hard disk drive, or if you want to receive updates and the latest information about them, refer to the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

Installing Windows 98 Update Modules

The files for the Windows 98 Update Modules are in the following directory:

C:\IBMTOOLS\OSFIXES\W98UP

To install the Update Modules for Windows 98 Second Edition, do as follows:

[Q4756 (Windows 98 SE Shutdown Update)]

  1. Open 4756US8.exe in W98SE\Q4756 directory.
  2. Run 4756US8.exe by double-clicking it.
  3. Click Yes to install Windows 98 Second Edition Q239887 Update.
  4. Click Yes to accept EULA (End User License Agreement).
  5. Click Yes to restart the system.

[Q233017 (PCI.VXD)]

This QFE applies to TI1450 and 1420 populated systems.

  1. Open the Q233017 folder in the W98SE directory.
  2. Run 233017up.exe by double-clicking it.
  3. Install Windows 98 PCI.VXD Update. Click Yes.
  4. Click Yes to agree to the License Agreement.
  5. Click Yes to restart the system.

[Q238453]

The Spooled Route Pointer Security Update eliminates a vulnerability that could allow source routing, even if it has ostensibly been disabled.

  1. Run 238453US.exe.
  2. Click Yes to install Windows 98 Q238453 Update.
  3. Click Yes to accept EULA (End User License Agreement).
  4. Click Yes and restart the system.

[Q240163]

This module is for eliminating a vulnerability that could allow arbitrary code to be executed on the user's computer.

  1. Run TELNETUP.exe.
  2. Click Yes to install Windows 98 TELNET Update.
  3. Click Yes to accept EULA (End User License Agreement)

[Q245729]

This module is for eliminating a vulnerability that could allow an infected Web site or e-mail message to cause the Windows machine to crash, or to run arbitrary code.

  1. Run 245729US.exe
  2. Click Yes to install Windows 98 Q245729 Update.
  3. Click Yes to accept EULA (End User License Agreement).
  4. Click Yes to restart the system.

[Q240947 (CCPort.sys and WDMMDMLD.vxd)]

For WDM Modem Users only

  1. Open the W98SE\Q240947 directory.
  2. Run 240947up.exe by double-clicking it.
  3. Click Yes to install Windows 98 Q240947 Update.
  4. Click Yes to accept EULA (End User License Agreement).
  5. Click Yes to restart the system.

[Q240149]

Note: This is a hidden file.

For Windows 98 Second Edition ACPI Clean install use only. You should copy acpi.sys to the directory where all cabinet files and necessary files are located on your hard drive. Refer to the Windows 98 Supplement File Package associated with your system.

[Q243199]

For WDM Modem Users only

  1. Run 243199US.exe
  2. Click Yes to install Windows 98 Second Edition Q243199 Update.
  3. Click Yes to accept EULA (End User License Agreement)
  4. Click Yes to restart the system.

[Q257360]

This QFE is only applicable for Windows 98 Second Edition ACPI mode systems.

  1. Run 257360US.exe
  2. Click Yes to install Windows 98 Second Edition Q257360 Update.
  3. Click Yes to accept EULA (End User License Agreement).
  4. Click Yes to restart the system.

[Q258191]

  1. Open the W98SE\Q258191 directory.
  2. Run 258191up.exe by double-clicking it.
  3. Click Yes to install Windows 98 Second Edition Q258191 Update.
  4. Click Yes to accept EULA (End User License Agreement).
  5. Click Yes to restart the system.

[Q252187]

  1. Open the W98SE\Q252187 directory.
  2. Run 252187USA8.exe by double-clicking it.
  3. Click Yes to install Windows 98 Second Edition Q252187 Update.
  4. Click Yes to accept EULA (End User License Agreement).
  5. Click Yes to restart the system.

[Q276602]

  1. Open the W98SE\Q276602 directory.
  2. Run 276602USA8.exe by double-clicking it.
  3. Click Yes to install Windows 98 Second Edition Q276602 Update.
  4. Click Yes to accept EULA (End User License Agreement).
  5. Click Yes to restart the system.

[Q242937]

  1. Run 242937us.exe.
  2. Click Yes to install Windows 98 Second Edition Q242937 Update.
  3. Click Yes to accept EULA (End User License Agreement).
  4. Click Yes to restart the system.

[Q265115]

  1. Run 265115USA8.exe.
  2. Click Yes to install Windows 98 Second Edition Q265115 Update.
  3. Click Yes to accept EULA (End User License Agreement).
  4. Click Yes to restart the system.

[Q288430]

  1. Run 288430USA8.exe.
  2. Click Yes to install Windows 98 Second Edition Q288430 Update.
  3. Click Yes to accept EULA (End User License Agreement).
  4. Click Yes to restart the system.

To install Windows 98 Gold, do the following:
  1. Insert the Windows 98 CD into the CD or DVD drive of your computer.
  2. Make a temporary directory.
    3. For example, at the DOS prompt, type the following:
    MD c:\win98
  3. Copy all the cabinet (.CAB) file and the installation programs from the Windows 98 CD-ROM to this directory.
    4. At the DOS prompt, type the following:
    COPY src_cd:\WIN98\*.* c:\win98
    where src_cd is the drive letter of the CD or DVD drive letter of your computer, and c:\win98 is the temporary directory that you made in step 2.
  4. Copy the Windows 98 Supplement files from the C:\IBMTOOLS\OSFIXES\W98GOLD directory to the temporary directory of the hard disk on your computer.
  5. Run the SETUP.EXE that you copied in the temporary directory, and follow the instructions on the screen. For details, refer to SETUP.TXT on the Windows 98 CD-ROM.
    6. Note: If the one of the following messages appears while you are reinstalling the Windows 98, go to Updating the DBLBUFF.SYS to update the DBBUFF.SYS file. Then continue with the installation.
    MSGSRV32 caused a general protection fault in module KRNL386.EXE at 0001:001b51.
    MSGSRV32 caused a stack fault in module KRNL386.EXE at 0001.0005595.
    RUNDLL32 caused an invalid page fault in module KERNEL32.DLL at 015f:bff9dba7.
    MSGSRV32 caused an invalid page fault in module KERNEL32.DLL at 015f:bff9d.
    A Fatal Exception 0D has occurred at 0028:C0001FCE in VXD VMM(01) + 000F
    A Fatal Exception 0E has occurred at 015F:BFF9DBA7.
  6. Restore C:\IBMTOOLS\OSFIXES from the backup copy you made before starting the installation.
  7. After installing Windows 98, make sure you install the drivers from the C:\IBMTOOLS\DRIVERS directory. To see how to install them, refer to Installing device drivers.
    8. Note: If you cannot find the device drivers you need on your hard-disk drive, or if you want to receive updates and the latest information about them, refer to the ThinkPad Web site. For access to this Web site, p ress the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.
  8. Restart the system.

Updating the DBLBUFF.SYS

Do this procedure only if a message appears while you are running the SETUP.EXE to install Windows 98.

  1. Click Start -> Run.
  2. Type the following:
    3. C:\IBMTOOLS\OSFIXES\W98UP\W98GOLD\Q209321\209321UP.EXE
    If you cannot find the .EXE file, copy it from the C:\IBMTOOLS directory on the storage device in which you saved all the subdirectories and files before the installation.
  3. Click OK.
  4. Follow the instructions on the screen.
  5. The following message appears:
    6. Please type the location where you want to place the extracted files.
    Type the address of the temporary directory (c:\win98), and then click OK.
  6. Return to step 6 to continue the installation of the Windows 98.

This driver applies the IBMLCD Color Profile.

  1. Right-click the desktop to open the Display Properties tab.
  2. Select the Settings tab.
  3. Click Advanced....
  4. Select the Monitor tab, and click Change....
  5. Click Have Disk....
  6. Specify the directory that the ibmtplcd.inf and ibmtplcd.icm files are in, and then select OK.
  7. Select ibmtplcd.inf and then OK.
  8. Select one panel in the list you are using now.
  9. Click Apply.
  10. Select the Color Management tab to make sure "IBM_TP" is selected.

Installing Windows 98 Update Modules

The files for Windows 98 Update Modules are in the following directory:

C:\IBMTOOLS\OSFIXES\W98UP

To install the Update Modules for Windows 98 Gold (4.10.1998), do as follows:

[QFE80404 (USB)]

  1. Run 189591UP.EXE to install the update and press OK.
  2. Click Yes to continue; then click OK.
  3. Restart the system to make the changes effective.

[Q209321 (DBLBUF.SYS) ]

Note: If an error occurs during Windows 98 installation, you need to copy this module to the folder of Windows 98 Setup files (*.CAB) before starting Windows Setup.

To install the module, refer to Updating the DBLBUFF.SYS.

[Q223809 (IFSMGR.VXD) ]

Note: IFSMGR.VXD is a hidden file.

  1. Open the DOS prompt and change the directory to C:\windows\system\vmm32.
  2. Rename the IFSMFR.VXD to IFSMGR__.$$$.
  3. Copy IFSMGR.vxd into C:\windows\system\vmm32.
  4. Restart the system to begin using the replaced IFSMGR.VXD driver.

[Q233017 (PCI.VXD)]

This QFE should apply to TI1450 and 1420 populated systems.

  1. Open the Q233017 folder in the W98Gold directory.
  2. Double-click and run 233017up.exe
  3. Install Windows 98 PCI.VXD Update. Click Yes.
  4. Click Yes to agree to the License Agreement.
  5. Click Yes; then the system restarts.

[Q168115]

This module is for eliminating a vulnerability that could allow an unauthorized user with physical access to a computer to acquire a cashed domain password.

  1. Run 168115US.exe.
  2. Click Yes to install Windows 98 Q168115 update.

[Q238453]

The Spoofed Route Pointer Security Update eliminates a vulnerability that could allow source routing to be performed, even if it has ostensibly been disabled.

  1. Run 238453US.exe.
  2. Click Yes to install Windows 98 Q238453 Update.
  3. Click Yes to accept EULA (End User License Agreement).
  4. Click Yes to restart your computer.

[Q240163]

This module is for eliminating a vulnerability that could allow arbitrary code to be executed on the user's computer.

  1. Run TELNETUP.exe.
  2. Click Yes to install Windows 98 TELNET Update.
  3. Click Yes to accept EULA (End User License Agreement).

[Q245729]

This module is for eliminating a vulnerability that could allow an infected Web site or e-mail message to cause the Windows machine to crash, or to run arbitrary code.

  1. Run 245729US.exe.
  2. Click Yes to install Windows 98 Q245729 Update.
  3. Click Yes to accept EULA (End User License Agreement).
  4. Click Yes to restart the system.


Installing Windows 2000 on computers running Windows Me or Windows 98

Preparing your ThinkPad computer for Microsoft Windows 2000

Attention: Before you begin to install Microsoft(R) Windows(R) 2000, back up all important files on removable media.

  1. Make sure that the BIOS on your computer is the most current available. Perform the following steps:
    1. Connect your computer to a working telephone line.
    2. Click Start --> Programs --> IBM Update Connector. IBM Update Connector connects your computer to the IBM Help Center and determines if you have the latest BIOS and other system programs installed. It also offers the opportunity for you to download any updates you might need. Instructions for using the updates that are downloaded are available in README files included with each update file.
    3. If you do not have the latest BIOS, download it and install it according to the instructions in the README file.
  2. Next you need to download device drivers so your computer will operate correctly under Windows 2000. Do the following:
    1. Turn your computer over and note the machine type number and model. You will need this information in the following step.
    2. Connect to the Internet through your Internet service provider, and then go to http://www.ibm.com/pc/support .
    3. Under "Quick Path to my product," enter your machine type (a four-number identifier) and model code.
    4. Press Enter or click the arrow icon beside the input field.
    5. On the Support Web page, note the series to which your ThinkPad computer belongs.
    6. Click Downloadable files.
    7. Click ThinkPad Device Driver Matrix.
    8. Locate the ThinkPad series noted in step 2-e under "Device Driver File Matrices."
    9. Download the drivers and README files specified for your computer.

Note: Some drivers might not have an operating-system designation. If you are in doubt, download the driver and README file.

Installing Windows 2000 Professional

Note: At the end of this installation it will be necessary to install the device drivers you downloaded in step 2 and to reinstall your applications so that they will work under Windows 2000.

  1. Insert the Windows 2000 CD in the CD-ROM drive.
  2. Turn off your IBM ThinkPad computer.
  3. Restart your computer.
    4. Note: The prompt for starting the computer from the CD-ROM drive is displayed briefly. Watch the screen carefully after you restart the computer.
  4. When the "Press any key to boot from the CD-ROM drive" prompt is displayed, press a key to start your computer with the Windows 2000 disc.
  5. At the "Welcome to Setup" screen, press Enter.
  6. Read the Licensing Agreement for Windows 2000. If you accept the terms, press F8 to accept the Licensing Agreement and continue with the installation process.
  7. When asked where you want to install Windows 2000, press Enter to accept the default drive.
  8. Select "Leave the current file system intact (No change)" and then press Enter.
    9. Note: The computer automatically restarts.
  9. The Regional Settings window is displayed. Click Next to continue the installation process.
  10. Type your name and organization. Click Next.
  11. Type the 25-character Windows 2000 Product Key; then click Next.
  12. When prompted, type the Administrator password. (You do not have to type any password, if you do not want to set an Administrator Password. Press Enter twice, and then proceed to step 15.)
  13. Click Next.
  14. When prompted, re-enter the Administrator password for verification, if applicable.
  15. Adjust the date and time settings and select the correct time zone for your location.
  16. Click Next. Windows 2000 installs components and performs its final tasks.
  17. Click Finish on the Windows 2000 set up completion screen. The computer restarts.
  18. At the "Welcome to the Network Identification Wizard" screen, click Next.
  19. Enter the appropriate user login; then click Next.
  20. Click Finish to complete the Network Identification Wizard.

After installing Windows 2000

  1. Locate the device drivers you downloaded in step 3 of "Preparing your ThinkPad computer for Microsoft Windows 2000."
  2. Following the README-file instructions, install the video driver.
  3. Using the README file instructions, install the remaining drivers including the modem driver.
  4. Make sure you are attached to a phone line or your network.
  5. It is important to get the latest updates from Microsoft. Click Start --> Windows Update to update Windows 2000.
  6. After you have installed the drivers and performed the Windows Update, you will need to access C:\IBMTools\Apps to reinstall your applications. Be sure to install ThinkPad Configuration.
  7. If your computer came with the Software Selections CD, use this CD to install your applications.

Note: You will need to reinstall Access ThinkPad in order for your ThinkPad button to work.

Reinstalling other applications

If you use Symantec Norton AntiVirus for your virus protection program, you will need to access the following Web site: http://www.symantec.com .

If you use Earthlink as your ISP (Internet Service Provider), you will need to access the following Web site: http://www.earthlink.com .


Installing Windows Me

To install Windows(R) Millennium Edition (Me) and its software on your computer, do as follows:

Creating the Startup Disk for Windows Me

  1. Insert a blank diskette into the diskette drive.
  2. Open the Control Panel. (Click Start-->Settings-->Control Panel.)
  3. Double-click Add/Remove Programs.
  4. Click the Startup Disk tab.
  5. Click Create Disk.
  6. Follow the instructions on the screen.
  7. Start the system.

Installing Windows Me

Note: We recommend that you install Windows Me on a blank hard-disk partition.

  1. Insert the Startup Disk, and turn on the computer.
  2. Insert the Windows Me CD into the CD or DVD drive of your computer.
  3. Make a temporary directory by typing the following:
    4. MD c:\winMe
    where winMe is whatever name you want to assign to the temporary directory.
  4. Copy all the cabinet (.CAB) files and installation programs from the Windows Me CD to the temporary directory by typing the following at the DOS prompt:
    5. COPY scr_cd:\win9x\*.* c:\winMe
    where scr_cd is the letter of the CD or DVD drive of your computer, and c:\winMe is the temporary directory that you made in the previous step.
  5. Run SETUP.EXE.
  6. Restore C:\IBMTOOLS\OSFIXES from the backup copy you made before starting the installation.
    7. After you install Windows Me, you will need to install the device drivers.
    Note: You can get the latest device drivers at the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

Installing Windows Me Supplement File

You can get the files for Windows Me Supplement File at the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

To install the driver for Windows Me, do as follows:

  1. Right-click the desktop to open the Display Properties tab.
  2. Click the Settings tab.
  3. Click Advanced....
  4. Click the Monitor tab, and click Change....
  5. Click Have Disk....
  6. Specify IBMTPLCD.INF within the directory where the supplement files are located, then click OK.
  7. Select IBMTPLCD.INF and then click OK.
  8. Select the panel in the list you are using now.
  9. Click Apply.
  10. Select the Color Management tab to make sure "IBMTPLCD" is selected.

Installing Windows Me Update Modules

The Windows Me Update Modules are in the following directory:

C:\IBMTOOLS\OSFIXES\WMEUP

To install the fixes, do as follows:

[Q278844]

This module prevents boot failure for an 850MHz or faster CPU system.

  1. Click Start --> Run.
  2. Open 278844USAM.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK .
  4. Restart the system.

[Q241679]

This module is correcting the problem of HDD turn off timer in battery mode operation.

  1. Click Start --> Run.
  2. Open 241679USAM.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK.
  4. Restart the system.

[Q290700]

After Sep. 8, 2001, this module will fix the problem, the System Restore feature may not work properly.

  1. Click Start --> Run.
  2. Open 290700USAM.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK.
  4. Restart the system.

[Q252185]

This module will fix the problem, the IEEE1394 digital video camera may not be controlled properly.

  1. Click Start --> Run.
  2. Open 252185USAM.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK.
  4. Restart the system.

[Q272016]

This module is for fixing AOL(America Online) connectivity problem.

  1. Click Start --> Run.
  2. Open 272016USAM.exe, and click OK.
  3. After the Hotfix Setup finishes, click OK.
  4. Restart the system.


Installing Windows NT Version 4.0

To install Windows NT(R) Workstation Version 4.0 and its software on your computer, do as follows:

Notes:

  • If you are installing Windows NT onto a hard disk whose capacity is 8 GB or larger, refer to the following Web site, and copy the IDE driver (Atapi.sys) to the hard disk before starting installation:

    http://support.microsoft.com/support/kb/articles/Q197/6/67.ASP

  • If you want to reinstall Windows NT onto a hard disk that has been used for Windows 98 or Windows 95, the Windows NT installation program may not recognize the partitions generated by the Windows 98 or Windows 95 Fdisk Utility. Use the PC-DOS Fdisk Utility instead.

Installing Windows NT

Note: If you have an CD or DVD drive that connects under a DOS environment, you can install Windows NT in DOS.

  1. Insert the Windows NT CD into the CD or DVD drive.
  2. Install Windows NT by following the instructions provided with the Microsoft(R) Windows NT 4.0 installation package.
    3. Note: If you install Windows NT from a bootable Windows NT CD, be sure that the CD drive is set for a bootable device by using the Startup menu of the BIOS Setup Utility.
  3. Install Windows NT Version 4 Service Pack 6a.
    4. Note: To the latest information the about the device drivers, refer to the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

If your computer does not have a CD or DVD drive, you can use a network server. You can install Windows NT on multiple computers by first copying the Windows NT master source files to a shared drive on a network server. After connecting your computer to a network (for example, the DOS LAN requester), you can install the files from the network server to your computer from the DOS command prompt.

For more information, refer to the installation guide for Windows NT or Windows NT Version 4 Service Pack 6a.

Notes for installing the PC Card support software

If you are installing Service Pack 6a, you should install it before you install the PC Card support software. If you have already installed Service Pack 6a, you need to reinstall the PC Card support software.

If you are going to use a port replicator or a docking station with your computer, do the following:

Note: This operation is only applicable for users who select the CardWizard for Windows NT as a PC Card support software on Windows NT.

  1. If your computer is connected to a network, log off before starting the installation.
  2. Uninstall the PC Card support software (CardWizard for Windows NT).
    1. Click Start --> Programs --> CardWizard for Windows NT.
    2. Click CardWizard for Windows NT Uninstallation.
    3. Follow the instructions on the screen.
  3. Dock your computer to the port replicator or the docking station.
  4. If you want to install the Windows NT Service Pack, install it before you install the CardWizard for Windows NT.
  5. Reinstall the CardWizard for Windows NT.


Installing device drivers

ThinkPad(R) Software Installer provides a wizard with which you can easily select and install the device driver you need, and the prerequisites for it, without running the risk of installing any drivers you do not need. Also, the wizard offers a way to see a list of the drivers already installed, and the version of each.

Notes:

  1. You cannot use ThinkPad Software Installer under Windows(R) 95.

  2. If you are using Windows NT(R) 4.0, you need to install Service Pack 4 or a later version.

  3. If you are using Windows NT 4.0, Windows 2000, or Windows XP, log on with a user ID authorized as an administrator.

Installing ThinkPad Software Installer Windows 98, Windows Me, Windows NT, Windows 2000 and Windows XP

The files for ThinkPad Software Installer are in the following directory:

C:\IBMTOOLS\DRIVERS\PKGMGR

Note: If you are using Windows 98, run shfolder.exe in the C:\IBMTOOLS\DRIVERS\PKGMGR directory before installing ThinkPad Software Installer.

To install the program, do as follows:

  1. Click Start -> Run.
  2. Specify the setup.exe file in the directory, using a full path.
  3. Click OK.
  4. Follow the instructions on the screen.

Using ThinkPad Software Installer

To start the program, click this button:

An alternative way to start the installation program is as follows:

  1. Click Start -> Programs (in Windows XP, All Programs) -> ThinkPad -> ThinkPad Software Installer. The welcome panel opens.
  2. In the welcome panel, select Install or upgrade driver(s) or ThinkPad software.
  3. Click the Next button.
  4. Follow the instructions on the screen.

Note: To see the currently installed device drivers and the versions of each, select View driver or application version information in the welcome panel.

The ThinkPad Software Installer searches for installable device drivers in your hard disk drive or network drive. If the wizard does not find the device drivers to be installed, specify the directory in which they are saved.

Note: The device drivers are provided in the C:\IBMTOOLS\DRIVERS directory on your hard disk drive. Your hard disk drive contains drivers only for the operating system that came with your computer. If you cannot find the drivers you need on your hard disk drive, or if you want to receive updates and the latest information about them, refer to the ThinkPad Web site. For access to this Web site, press the ThinkPad button to open the Access ThinkPad panel. On this panel, click On the Web. A list of sites appears; choose the ones you want.

The following device drivers cannot be installed or uninstalled with the ThinkPad Software Installer. To see how to install or uninstall them, refer to one of the following:

Installing Intel Ethernet features for Windows 98, 2000, or XP

Installing CD-ROM driver for DOS

The prerequisites for installing device drivers

Some device drivers can be installed only after the device itself is installed. Also some drivers work only if other packages, such as drivers and requisite software, have been installed. The ThinkPad Software Installer will show what package is required for each installable driver. If any packages need to be installed, install them together. For the details, refer to one of the following:

ThinkPad Ultrabay(TM) 2000 hot/warm swap driver

This device driver is supported by Windows 95 and Windows 98 APM mode. It is not supported by the Windows Me ACPI system.

CMD IDE driver for Windows 2000

Before installing the CMD IDE driver for Windows 2000, dock your ThinkPad computer in a docking station and start the system.


Installing Intel Ethernet features for Windows 2000 or XP

To install the Intel(R) Ethernet features, refer to the following:

Installing the Intel Ethernet Advanced Features for Windows 2000 or XP

The Intel(R) Ethernet features files for Windows 2000 or XP are in the following directory:

C:\IBMTOOLS\DRIVERS\ETHINTVE

Before you install the Advanced Features, check which Intel Ethernet adapter is installed in your computer by doing the following:

For Windows 2000:

  1. Click Start -> Settings -> Control Panel.
  2. Double-click the System icon.
  3. Click the Hardware tab.
  4. Click the Device Manager button.
  5. Click the + mark next to the Network Adapters icon. One of the following is shown under the Network Adapters icon:

    • Intel PRO/100 VE Network Connection

    • Intel PRO/100 SP Mobile Combo Adapter

For Windows XP:

  1. Click Start -> Control Panel.
  2. Click Performance and Maintenance.
  3. Click System.
  4. Click the Hardware tab.
  5. Click the Device Manager button.
  6. Click the + mark next to the Network Adapters icon. One of the following is shown under the Network Adapters icon:

    • Intel PRO/100 VE Network Connection

    • Intel PRO/100 SP Mobile Combo Adapter

To install the advanced features for Intel PRO/100 VE Network Connection Adapter, do as follows:

  1. Click Start -> Run....
  2. Specify SETUP.EXE with a full path, as follows:
    3. C:\IBMTOOLS\DRIVERS\ETHINTVE\PROSet2\SETUP.EXE
  3. Click OK.
  4. Follow the instructions on the screen.

To install the advanced features for Intel PRO/100 SP Mobile Combo Adapter, do as follows:

  1. Click Start -> Run....
  2. Specify SETUP.EXE with a full path, as follows:
    3. C:\IBMTOOLS\DRIVERS\ETHINTVE\DMI\Win32_SP\SETUP.EXE
  3. Click OK.
  4. Follow the instructions on the screen.
  5. When the setup is completed, click Start -> Run... again.
  6. Specify SETUP.EXE with a full path, as follows:
    7. C:\IBMTOOLS\DRIVERS\ETHINTVE\Setup\SETUP.EXE
  7. Follow the instructions on the screen.


Installing CD-ROM driver for DOS

The files for creating the CD-ROM driver for DOS are in the following directory:

C:\IBMTOOLS\DRIVERS\CDROM

Note: This driver is used only for PC-DOS 2000.

To create a diskette for the CD-ROM driver for DOS, do as follows:

  1. Click Start -> Run....
  2. Specify the .EXE file in the directory, using a full path.
  3. Click OK.
  4. Follow the instructions on the screen. You will be required to insert the diskette in the diskette drive.

To install the driver, do as follows:

When booting DOS from the C: disk (hard disk)

  1. Start up DOS.
  2. With the diskette in the drive, type A:\UINSTALL at the DOS prompt, and press Enter.
  3. Select drive A as the source drive.
  4. Press Enter.
  5. Select Install IBM ThinkPad CD-ROM driver for DOS/Windows.
  6. Follow the instructions on the screen.

When booting DOS from the A: disk (diskette)

  1. Copy IBMTPCD.SYS and MSCDEX.EXE to the root directory of the boot diskette.
  2. Add this line to the CONFIG.SYS:
    3. <<CONFIG.SYS>>
    DEVICE=IBMTPCD.SYS /R
  3. Add this line to the AUTOEXEC.BAT:
    4. <<AUTOEXEC.BAT>>
    MSCDEX.EXE /D:TPCD001 /M:15
  4. Save the CONFIG.SYS and the AUTOEXEC.BAT in the root directory.


Reinstalling applications

If you have reinstalled your operating system, you will need to reinstall your applications. For some of these applications, you can use the ThinkPad Software Installer. For other applications that you have loaded, you will need to access the Apps directory on your C drive. To access this directory, go to C --> IBMTools --> Apps.

In each of the folders in this directory, look for and click on the following files: install.exe, install.bat, setup.exe, or setup.bat. After clicking on these files, follow the directions on the screen which will lead you through the reinstallation process.


BIOS Setup Utility

Your computer provides a program, called IBM(R) BIOS Setup Utility, that enables you to select various setup parameters.

Config: Set the configuration of your computer.

Date/Time: Set the date and time.

Password: Set a password.

Startup: Set the startup device.

Restart: Restart the system.

For more information, refer to the following:

BIOS Setup Utility items

Updating your system BIOS

Note:You can set many of these parameters more easily by using the ThinkPad(R) Configuration Program.

To start IBM BIOS Setup Utility, do as follows:

  1. To protect yourself against accidental loss of data, refer to Backing up your system to save your computer's current configuration.
  2. Remove any diskette from the diskette drive, and then turn off the computer.
  3. Turn on the computer; then, while the "Press F1 for IBM BIOS Setup Utility" message is displayed at the lower-left of the screen, press F1.

    If you set a supervisor password, the IBM BIOS Setup Utility menu appears after you enter the password. You can start the utility by pressing Enter instead of entering the supervisor password; however, you cannot change the parameters that are protected by the supervisor password. For more information, refer to Using Passwords .

A window such as the following opens:

Image of the BIOS Setup Utility menu.

  1. Using the cursor keys, move to an item you want to change. When the item is highlighted, press Enter. A submenu is displayed.
  1. Change the items you wish to change. To change the value of an item, use the F5 or F6 key. If the item has a submenu, you can display it by pressing Enter.
  1. Press F3 or Esc to exit from the submenu.
If you are in a nested submenu, press Esc repeatedly until you reach the IBM BIOS Setup Utility menu.

Note: If you need to restore the settings to their original state as of the time of purchase, press F9 to load the default settings. You can also select an option in the Restart submenu to load the default settings or discard the changes.

  1. Select Restart; then press Enter. Move to the option you want for restarting your computer; then press Enter. Your computer restarts.


Config menu

If you need to change the configuration of your computer, select Config from the IBM BIOS Setup Utility menu.

Notes:

  • The default settings are already optimized for you. If you consider changing the computer configuration, proceed with extreme caution. Setting the configuration incorrectly might cause unexpected results.

  • In each submenu, you can enable a function by selecting Enable, or disable it by selecting Disable.

The following submenu is displayed:

  • Network: Set the LAN function.

  • IBM Security Chip: Enable or disable the Security Chip.

  • Serial Port: Set resource values for the serial port.

  • InfraRed: Set resource values for the infrared port.

  • Parallel Port: Set resource values for the parallel port.

  • PCI: Arrange IRQ lines for PCI devices.

  • USB: Enable or disable BIOS support for USB.

  • Floppy Drives: Enable or disable support for diskette drive.

  • Keyboard/Mouse: Set values for the keyboard and the mouse.

  • Display: Specify the settings for display output.

  • Power: Set values related to power management.

  • Alarm: Enable or disable the audio.

  • Memory: Enable or disable the Extended Memory Test.


Date and time menu

If you need to set the current date and time of your computer, select Date/Time from the IBM BIOS Setup Utility menu. The following submenu is displayed:

  • System Date

  • System Time

To change the date and time, do the following:

  1. Using the up and down arrow keys, select the item to change--date or time.
  2. Press Tab, Shift-Tab, or Enter to select a field.
  3. Type the date or time.
    4. Note: Another way to adjust date and time is press the F5 or F6 key.
  4. Press F10 to save the changes and restart the system.


Password menu

To set a password, select Password from the IBM BIOS Setup Utility menu. The following submenu is displayed:

  • Power-on password

  • Supervisor password

  • Lock BIOS Settings

  • Hard-disk x password

Notes:

  • Hard-disk 1 means the hard disk drive built into your computer.

  • Hard-disk 2 appears on the Password submenu only when a hard disk drive is installed in the Ultrabay(TM) 2000.

  • Hard-disk 3 appears on the Password submenu only when a hard disk drive is installed in the Ultrabay Plus.

  • Hard-disk 4 appears on the Password submenu only when the ThinkPad(R) Dock is attached to your computer, and a hard disk drive is installed in it.

Lock BIOS Settings enable or disable the function that protects items in the BIOS Setup Utility from being changed by a user who does not have the supervisor password. The default setting is disabled. When you set the supervisor password and enable this function, no one but you can change any items in the BIOS Setup Utility.

For information on passwords, refer to Using passwords.


Startup menu

You may need to change the startup sequence of your computer. For example, if you have different operating systems on different devices, you can have the system start up from one of them.

Attention: After you change your startup sequence, you must be extremely careful not to specify a wrong device during a copy, a save, or a format operation. If you specify a wrong device, your data and programs might be erased or overwritten.

Changing the startup sequence

Note: To change your startup drive temporarily, shut down the system, and then turn off the computer. Turn on the computer again; when you see the message "Press F12 to choose temporary boot device," press F12. The next time you will start from the normal startup drive.

Selecting the Startup item causes the following submenu to be displayed:

  • Boot

  • Network

To change the startup sequence, do the following:

  1. Click Boot or Network; then press Enter.

  • The Boot submenu sets the startup sequence when you turn the power switch to ON. Refer to "Boot submenu."

  • The Network submenu sets the startup sequence when Wake on LAN is started. Wake on LAN is commonly used by LAN administrators in corporate networks to access your computer remotely. Refer to "Network submenu."

  1. Select the device you want to start first.
    2. Use these keys to set the order that the BIOS will use when starting an operating system:

  • Enter: Expand or collapse devices marked with a + or - (hyphen).

  • Ctrl+Enter: Expand all.

  • Insert: Enable or disable a device. When a device is disabled, its name is preceded by an exclamation point (!).

  • F6 or F5: Move the device up or down.

  1. Press F10 to save the changes and restart the system.

The Boot submenu

On your computer, the items listed in the submenu may be different from those shown here. Your list shows the devices that are attached to your computer.

  • Removable Devices

  • CD-ROM Drive

  • Hard Drive

  • Network Boot

Note: If a + mark appears to the left of the name of any item in this submenu, that item has subitems. To see them, select the item and press Enter.

The Network submenu

For descriptions of its contents, refer to "Boot submenu" above. Use the Network submenu to enable or disable the Wake-on-LAN function. If Wake-on-LAN is enabled, the network administrator can turn on all of the computers in a LAN remotely by use of network management software. If your computer is not under the system management of a network administrator, disable the function.


Restart menu

If you need to close the IBM(R) BIOS Setup Utility and restart the system, select Restart from the IBM BIOS Setup Utility menu. The following submenu is displayed:

  • Exit Saving Changes: Restart the system after saving the changes.

  • Exit Discarding Changes: Restart the system without saving the changes.

  • Load Setup Defaults: Load the default setting that was in effect at the time of purchase.

  • Discard Changes: Discard the changes.

  • Save Changes: Save the changes.


BIOS Setup Utility items

The following tables show the contents of the Config menu and the Startup menu of the IBM BIOS Setup Utility.

Notes:

Enabled means that the function is configured.

Disabled means that the function is not configured.

Default values are in boldface.

Items in the Config menu of IBM BIOS Setup Utility:

Function

Selection

Comments

Network

Wake on LAN

  • Enabled

  • Disabled

Enable the system to Power on when the Ethernet controller receives a magic packet.

Flash over LAN

  • Enabled

  • Disabled

Enable the ability for your computer's BIOS to be updated (flashed) over an active network connection.

RPL token ring speed

  • 4

  • 16

If you use the remote program loading (RPL) system through the token ring card, you can set its speed.

IBM Security Chip

IBM Security Chip

  • Enabled

  • Disabled

Enable or disable the Security Chip.

Clear IBM Security Chip

Clear the Security Chip password and encryption key.

Serial port

Serial port

  • Enabled

  • Disabled

I/O address:

  • 3F8

  • 2F8

  • 3E8

  • 2E8

IRQ:

  • 3

  • 4

  • 5

  • 7

If you enable this function, you can select the base I/O address and IRQ.

Infrared

Infrared

  • Enabled

  • Disabled

I/O address:

  • 3F8

  • 2F8

  • 3E8

  • 2E8

IRQ:

  • 3

  • 4

  • 5

  • 7

DMA:

  • DMA 0

  • DMA 1

  • DMA 3

If you enable this function, you can select the base I/O address, IRQ, and DMA.

Parallel port

Parallel port

  • Enabled

  • Disabled

Mode:

  • Output only

  • Bidirectional

  • EPP

  • ECP

I/O address:

  • 378

  • 278

  • 3BC

IRQ:

  • 5

  • 7

DMA:

  • DMA 0

  • DMA 1

  • DMA 3

If you enable this function, you can select the mode, base I/O address, IRQ, and DMA.

DMA can be selected only if you selected ECP.

If the base I/O address is 3BC, you cannot use EPP mode.

PCI

INTA PCI IRQ

INTB PCI IRQ

INTC PCI IRQ

INTD PCI IRQ

INTE PCI IRQ

INTF PCI IRQ

INTG PCI IRQ

INTH PCI IRQ

  • Disabled

  • Auto Select

  • 3

  • 4

  • 5

  • 6

  • 7

  • 9

  • 10

  • 11

Set up the PCI IRQ.

USB

USB BIOS Support

  • Enabled

  • Disabled

Enable or disable boot support for USB floppy disk drive and USB CD-ROM. If you disable this function, this frees 16 KB of high memory for use with loading device drivers when running DOS applications.

Floppy drives

Legacy Floppy Drives

  • Enabled

  • Disabled

Enable or disable support for the diskette drive. If you disable this function, this allows USB floppy disk drive, or other removable drives, to be labeled drive A.

SuperDisk Boot

  • Enabled

  • Disabled

Enable or disable the SuperDisk boot function. If you disable this function, the fixed drive letter is assigned to the SuperDisk.

Keyboard/mouse

TrackPoint

  • Enabled

  • Disabled

  • AutoDisable

Set up the TrackPoint. When you select AutoDisable, the TrackPoint is automatically disabled if a PS/2 mouse is found.

Fn key lock

  • Enabled

  • Disabled

Enable or disable the Fn key lock.

Display

Default primary video device

  • PCI

  • AGP

If you have used the docking station, and installed the display card in it, specify the priority that is to be assigned to the display card.

Boot display device

  • LCD

  • CRT

  • Both

Select the display device that is to be active at boot timing.

HV expansion

  • Off

  • On

Control the LCD horizontal and vertical expansion state.

Brightness

  • High

  • Normal

If you select High, the LCD remains as bright under battery power as under ac power. However, a battery charge doesn't last as long.

Power

Power mode for ac

  • Customized

  • Maximum battery life

  • Maximum performance

Set the power mode from use with ac power.

Power mode for battery

  • Customized

  • Maximum Battery Life

  • Maximum Performance

Set the power mode for use with the battery pack.

Processor speed

  • Fixed Max

  • Fixed Medium

  • Fixed Slow

You can set this function only if you have selected Customized as the power mode for ac or battery.

Suspend timer

LCD-off timer

  • Disabled

  • 1 Minute

  • 2 Minutes

  • 3 Minutes

  • 5 Minutes

  • 10 Minutes

  • 15 Minutes

  • 20 Minutes

  • 25 Minutes

  • 30 Minutes

  • 45 Minutes

  • 60 Minutes

Set the LCD-off timer and the standby timer. You can set this function only if you have selected Customized as the power mode for ac or battery.

HDD-off timer

  • Disabled

  • Immediate

  • 3 Minutes

  • 5 Minutes

  • 10 Minutes

  • 20 Minutes

You can set the HDD-off timer. You can set this function only if you have selected Customized as the power mode for ac or battery.

Hibernating by timer

  • Enabled

  • Disabled

You can set the hibernation timer.

Low-battery action

  • Suspend

  • Hibernation

You can set the low-battery action.

Suspend when LCD is closed

  • No Suspend

  • Suspend

If you select No suspend, the computer doesn't enter standby mode when you close the LCD.

Suspend or hibernate while docked

  • Enabled

  • Disabled

If you select Enabled, the computer enters standby or hibernation mode automatically when you dock your computer to the docking station.

RediSafe

  • Enabled

  • Disabled

If you want to enable RediSafe, you need to create the hibernation file with the ThinkPad Configuration program.

Resume on time

  • Disabled

  • Enabled

  • Resume Time:

    [00:00:00]

  • Resume Date:

    [00/00/0000]

Set the time at which the computer is to resume operation.

Resume on modem ring

  • Enabled

  • Disabled

If this function is enabled, your computer resumes operation when an incoming call occurs.

Intel(R) SpeedStep(TM) technology

  • Enabled

  • Disabled

Mode for AC

  • Maximum Performance

  • Battery Optimized

  • Maximum Battery

  • Automatic

Mode for Battery

  • Maximum Performance

  • Battery Optimized

  • Maximum Battery

  • Automatic

Select the mode of Intel SpeedStep technology at runtime.

Screen blanking

  • Enabled

  • Disabled

If you use your computer to make a presentation, disable this function to prevent the LCD from blanking.

Power switch mode

  • On/Off

  • Hibernation

If you select Hibernation, you can switch between hibernation mode and operational mode with the power switch.

Suspend-to-hibernation

  • Disabled

  • 30 Minutes

  • 60 Minutes

  • 90 Minutes

Set the timer to specify when the computer enters hibernation mode from standby mode.

CD-ROM speed

  • High

  • Normal

  • Silent

Set the CD-ROM speed.

CPU power management

  • Disable

  • Automatic

Unless this power-saving feature is disabled, it stops the processor clock automatically when there is no system activity. You usually don't need to change this function.

PCI bus power management

  • Disable

  • Automatic

Unless this power-saving feature is disabled, it stops the PCI bus clock automatically when there is no system activity. You usually don't need to change this function.

Alarm

Power control beep

  • Enabled

  • Disabled

If this function is enabled, a beep sounds when the computer enters a power management mode, when it resumes operational mode, and when the ac adapter is connected or disconnected.

Low-battery alarm

  • Enabled

  • Disabled

Enable or disable the low-battery alarm.

Volume beep

  • Enabled

  • Disabled

If you enable this function, a beep sounds when you change the volume by pressing the Volume up or Volume down button.

Memory

Extended Memory Test

  • Enabled

  • Disabled

Enable or disable the Extended Memory Test and initialization during boot. Enabling this function will increase boot time. Recent operating systems usually do not require Extended Memory Initialization.

Items in the Startup menu of IBM BIOS Setup Utility.

Function

Selection

Comments

Boot mode

  • Quick

  • Diagnostics

Note: You can also enter the "Diagnostic" mode by pressing Esc during POST.

Screen during POST:

  • Quick: IBM and ThinkPad Logo screen is displayed.

  • Diagnostics: Test messages are displayed.

Beep at POST completion:

  • Quick: No. Sound on error case only

  • Diagnostics: Yes. Always sounds.

"Ctrl-S" prompt for Intel Mini-PCI Ethernet:

  • Quick: No.

  • Diagnostics: Yes.

Memory testing during POST:

  • Quick: Quick test (or no test).

  • Diagnostics: Full test.

Testing other devices during POST:

  • Quick: Minimum test (or no test).

  • Diagnostics: Can perform necessary testing for critical devices

BIOS setup prompt (F1 key message)

  • Enabled

  • Disabled

If you select "Disabled," the "Press F1 for IBM BIOS Setup Utility" message is not displayed during POST.

IBM Product Recover program prompt (F11 key message)

  • Enabled

  • Disabled

If you select "Disabled", the "Press F11 to invoke the IBM Product Recovery program" message is not displayed during POST.

Boot device list F12 option

  • Enabled

  • Disabled

Choosing Enable tells the system to accept the F12 key during POST, and to display a message, "Press F12 for boot device list."

Flash BIOS updating by end user

  • Enabled

  • Disabled

If you select "Enabled," all users can update the Flash BIOS. If you select "Disabled," only the person who knows supervisor password can update the Flash BIOS.


Updating your system BIOS

The basic input/output system (BIOS) is a part of the system programs that make up the basic layer of software built into your computer. BIOS translates the instructions from other software layers.

Your computer system board has a module called electrically erasable programmable read-only memory (EEPROM, also referred to as flash memory). You can update BIOS and the Configuration/Setup Utility Program by starting your computer with a flash update diskette.

When you add software, hardware, or a device driver, you might be informed that you need to update your BIOS in order for the new addition to work properly.

The Update Connector is a program that connects to an IBM(R) Web page and determines whether you have the latest BIOS and other system programs. It also offers the opportunity to download the updates you need.

Instructions for using the program updates are presented in a README file included in the update files.


ThinkPad Configuration Program

Your computer has a utility, the ThinkPad(R) Configuration program, that you can use to set up and customize the computer's built-in devices. You can enable or disable a port, switch between your computer's display and an external monitor, and configure the settings for power management.

Note: To get specific details about ThinkPad Configuration Program, click Help after starting the program.

There are four ways to start the program:

  • Click this icon.

  • Click Start-->Settings--> Control Panel. Double-click the ThinkPad Configuration icon. (In Windows(R) XP, Click Start-->Control Panel, and then double click the ThinkPad Configuration icon.)

  • Click Start--> Programs (In Windows XP, All Programs)-->ThinkPad-->ThinkPad Utilities-->ThinkPad Configuration.

  • Double-click the ThinkPad icon in the task bar, located on the bottom right of your screen.


Recovering pre-installed software

If the data on your hard disk drive is damaged or accidentally erased, you can restore the software that was shipped with your computer. This software includes your pre-installed operating system, applications, and device drivers.

To restore your pre-installed software, you can use the Product Recovery program.

The Product Recovery program is in a section of your hard disk drive that is not displayed by Windows(R) Explorer.

Note: The recovery process might take up to 2 hours.

Attention: All of the files on the primary hard disk partition (usually drive C) will be lost in the recovery process. Be sure to back up copies of the files you have saved on your drive C before you begin.

To use the Product Recovery program

To Create a Recovery Repair diskette

To use the Recovery Repair diskette

To use the Product Recovery program to restore your pre-installed software, do the following:

  1. Save all of your files and shut down your computer.
  2. Turn off your computer.
  3. Turn on your computer. Quickly press F11 when this message is displayed on the screen: "Press F11 to invoke the IBM Product Recovery program". This message is displayed for only a few seconds.
    4. Note: This message is displayed to Windows XP users only. For users of other operating systems, the "To start the Product Recovery Program, press F11" message is displayed on the screen.
    Note: If this message does not appear, you can use a Recovery Repair diskette to get access to the Product Recovery program.
  4. From the list displayed on the screen, select the operating system you want to recover.
  5. Select the recovery options you want, and follow the instructions on the screen.
  6. When the Product Recovery program finishes running, your computer will restart with the pre-installed operating system, drivers, and software.
    7. Note: If you use Windows 2000 or Windows 98, restart the system by pressing Ctrl+Alt+Del or by turning the computer off and then on again. Your computer will restart with the pre-installed operating system, drivers, and software.

To create a Recovery Repair diskette

When the operating system cannot boot normally, you can use the Recovery Repair diskette to boot your computer. Make a Recovery Repair diskette and save it for future use. To make a Recovery Repair diskette:

  1. Shut down and restart your computer.
  2. At the prompt, press F11. (The option to press F11 appears for only a few seconds. You must press F11 quickly.) The Product Recovery program main menu appears.
    3. Note: If you are prompted to select the operating system, select one you want to recover. Then the Product Recovery Program main menu opens.
  3. Select System Utilities from the main menu. Press Enter.
  4. Select Create a Recovery Repair diskette. Press Enter.
  5. Follow the on-screen instructions.
  6. When the process is completed, label your diskette as the Recovery Repair diskette and save it for future use.

To use the Recovery Repair diskette:

  1. Shut down and turn off your computer.
  2. Insert the Recovery Repair diskette into the drive; then turn on the computer.
  3. Follow the on-screen instructions.


Using system management

This section is intended primarily for network administrators.

Your computer is designed for manageability, so that you can redirect more of your resources to better meet your business objectives.

This manageability, or "Total Cost of Ownership" (TCO), enables you to remotely power on your computer, format the hard disk drive, install the software of your choice (for example, Windows(R) 98, Windows 95, or Windows NT(R) with user and system-management applications), and have the computer start up and function in the same way as an ordinary desktop PC.

Once the computer is configured and operational, you can manage it by use of software and manageability features already integrated into the client system and the network.

System management

Setting management features


System management

Click the links below to learn more about these features of System Management:

Intel WfM support

Desktop Management Interface

Remote program load (RPL)

Preboot eXecution Environment (PXE)

Wake on LAN(R)

Resume by an incoming call

Universal Manageability Services (UM Services)

Asset ID EEPROM


Desktop Management Interface

The basic input/output system (BIOS) of your computer supports an interface called System Management BIOS Reference Specification (SMBIOS) Version 2.3. SMBIOS provides information about the hardware components of your system. It is the responsibility of the BIOS to supply this database with information about itself and the devices on the system board. This specification documents the standards for getting access to this BIOS information.


Remote program load

Remote program load (RPL) enables a network administrator to control a computer remotely. RPL enables the administrator to start directly from a server over a LAN that has been configured for RPL. To take advantage of RPL, the server must have network-management software, such as IBM LANClient Control Manager (LCCM).

Note: If your computer connects to a LAN by use of an Ethernet Daughter Card, RPL is not supported.


Preboot eXecution Environment

Preboot eXecution Environment (PXE) technology makes your computer more manageable by providing the capability to boot (load an operating system or another executable image) from a server. Your computer supports the PC functions that PXE requires. For example, with the appropriate LAN card, your computer can be booted from the PXE server.


Wake on LAN

A network administrator can use Wake on LAN(R) to turn on a computer from a management console.

When Wake on LAN is used with such network management software as LANClient Control Manager(R) (LCCM), many functions, such as data transfer, software updates, and Flash (POST/BIOS) updates, can be performed remotely without remote attendance. This updating can be done after normal working hours and on weekends, to save time and increase productivity. Users are not interrupted during normal working hours, and LAN traffic is kept to a minimum.

If a computer is turned on by the Wake on LAN function, the Automatic power-on startup sequence is used.


Resume on incoming call

If a computer is connected to a telephone line and its user has specified Resume on incoming call, it will return from standby mode to normal operation when a telephone call comes in.

By default, this function is enabled by the BIOS. If the function is disabled, enable it, using the BIOS Setup Utility, as follows:

For Windows XP:

  1. Click Start, and then click Control Panel.
  2. Click Performance and Maintenance.
  3. Click System.
  4. Click the Hardware tab.
  5. Click the Device Manager button. The Device Manager window opens.
  6. Double-click the Modems icon.
  7. Double-click your modem.
  8. Click the Power Management tab.
  9. Click the Allow this device to bring the computer out of Standby check box.

For Windows 2000:

  1. Click Start.
  2. Move the cursor to Settings and Control Panel.
  3. Click Control Panel, and then double-click System.
  4. Click the Hardware tab.
  5. Click the Device Manager button. The Device Manager window opens.
  6. Double-click the Modems icon.
  7. Double-click your modem.
  8. Click the Power Management tab.
  9. Click the Allow this device to bring the computer out of Standby check box.

For Windows (R) 95, Windows 98, or Windows NT(R) 4.0:

  1. Open the ThinkPad(R) Configuration program.
  2. Click Power Management, and then click the Suspend/Resume option.
  3. Click the Resume on incoming call check box.


Universal Manageability Services

The IBM(R) ThinkPad(R) computer supports IBM Universal Manageability Services (UM Services), one of the Universal Manageability solution offered by IBM. UM Services is a client management application for networked computers that enables a network administrator to view monitor, and control networked computers.

UM Services also enables the network administrator do the following:

  • Gather detailed inventory information about the components of the computers in a network operating system, memory, network cards, and hardware.

  • Track the computers proactively with features such as power management, event log, and system monitor capabilities.

  • Upwardly integrate with Tivoli Enterprise, Tivoli NetView, Computer Associates Unicenter, Microsoft SMS, and Intel LANDesk Management Suite.

Because UM Services uses some of the latest systems management standards, including Common Information Model (CIM), Web-Based Enterprise Management (WBEM), and the Extensible Markup Language (XML), you won't have to worry about compatibility with the enterprise management software you already have.


Asset ID EEPROM

The Asset ID(TM) EEPROM contains information about the system, including its configuration and the serial numbers of key components. It also includes a number of blank fields in which you can record information about the end users in your network.

UM Services and IBM(R) LAN Client Control Managers (LCCM) provide functions for viewing and writing some of the contents of Asset EEPROM.


Setting management features

To enable the network administrator to control your computer remotely, you must configure the network interface by setting the system-management features in BIOS Setup Utility. That utility contains the following functions:

Enabling Wake on LAN

Startup sequence

Flash update

If an administrator's password (supervisor password) has been set, you will need to specify it when you start BIOS Setup Utility, so that you can use these functions.


Enabling Wake on LAN

When the Wake on LAN(R) feature is enabled on a computer that is connected to a LAN, a network administrator can start the computer remotely from a management console, using remote network-management software such as LANClient Control Manager(R) (LCCM).

Setting up in BIOS Setup Utility

To enable or disable Wake on LAN, go to the BIOS Setup Utility menu. When your computer is not under the network administrator's system management, you can disable Wake on LAN.

To set this function, do the following:

  1. Start the BIOS Setup Utility menu.
  2. Select CONFIG.
  3. The Config submenu appears.
  4. Select Network.
  5. The Network item submenu appears.
  6. For Wake On LAN, select either Enable or Disable.
  7. Press F10.


Startup sequence

The Automatic power-on startup sequence settings determine the order in which devices in or attached to your computer will start when your computer is turned on remotely.

To define a sequence:

  1. On the BIOS Setup Utility menu, select Startup. The Startup submenu appears.
  2. Select Network. The Network submenu appears. The device list in the left window applies to the startup sequence.
  3. Highlight the device you want to move.
  4. Use the F6 key or F5 key to change the order of the devices in the list.
  5. Press F10.

Note: If you want to initialize the settings, press F9 and make the settings again.


Flash update

When a Flash (POST/BIOS) update from the network is enabled, a network administrator can remotely update the system programs in your computer from a management console. The following requirements must be met:

  • Update Flash from network must also be enabled; the procedure is given below.

  • Your computer must be started over the LAN.

  • Your computer must be engaged in a remote program load.

  • Network-management software must be installed in the remote administrator's computer.

To enable or disable the Flash (POST/BIOS) update from the network setting, do the following:

  1. On the BIOS Setup Utility menu, select CONFIG. The Config submenu appears.
  2. Select Network. The Network submenu appears.
  3. For Flash Over LAN, select either Enable or Disable .
  4. Press F10.